<?php require_once('connectdb.php'); ?>
<?php

	// For debug
	$saveUpdatePacket = false;
	$saveUpdatePacket = true;

    // ----- NO CACHE -----
 	session_cache_limiter('nocache');

 	header("Expires: Thu, 19 Nov 1981 08:52:00 GMT");
 	/* For HTTP/1.1 conforming clients and the rest (MSIE 5) */
 	header("Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0");
 	/* For HTTP/1.0 conforming clients */
	header("Pragma: no-cache");

	// ----- Functions -----
	function formatString($str) {
		if ($str == "") {
			return "NULL";
		}
		$str = utf8_decode($str);
    	return "'".mysql_escape_string($str)."'";
    }

	function formatTagString($str) {
		if ($str == "") {
			return "NULL";
		}
		$str = utf8_decode($str);
		$str = str_replace("'", "\\'", $str);
    	return "'".$str."'";
    }

	// ----- MySQL Connection -----
	mysql_select_db($database_db, $connect_db);

	// ----- Read XML -----
	$xml = "";
	$dom = new DOMDocument();

	if (isset($debug) && $debug == "1") {
		$dom->load("insertReview.xml");
	} else {
		$xml = file_get_contents("php://input");
		if ($xml == "") {
			die("WAIT AN INSERT REVIEW PACKET");
		}
		$dom->loadXML($xml);
	}

	$doc = $dom->documentElement;

	if ($saveUpdatePacket) {
		$fp = fopen("insertReview.xml", "w");
		fwrite($fp, $dom->saveXML());
		fclose($fp);
	}

	// rootNode
	$rootNode = $dom->documentElement;

	// ----- Prepare resultDoc -----
	$resultdoc = new DOMDocument();
	$resultdoc->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?><insert_review></insert_review>");

	$resultRootNode = $resultdoc->documentElement;

	// ----- process "review" nodes -----
	$nodes = $dom->getElementsByTagName("review");

	$insertRecord = 0;
	$insertRecordId = "";

	foreach ($nodes as $node) {
		$reviewer = $node->getAttribute("reviewer");
		$title = $node->getAttribute("title");
		$rating = $node->getAttribute("rating");
		$id = $node->getAttribute("id");

    	$reviewNode = $node->getElementsByTagName("review_text");
    	$review = $reviewNode->item(0)->nodeValue;


		$reviewer = formatString($reviewer);
		$title = formatString($title);
		$review = formatString($review);
		if ($rating == "") $rating = "0";

		// Build insert Statement
		$values = "" . $id . "," . $reviewer . "," . $rating . "," . $title . "," . $review;
		$strSQL = "INSERT INTO restaurant_review (restaurant_id, reviewer, rating, title, review_text) VALUES (" . $values . ")";

		// echo "<p>strSQL=" . $strSQL;

		$recordset = mysql_query($strSQL);
		$newId = mysql_insert_id();

		if ($insertRecord == 0) {
			$insertRecordId = $newId;
		} else {
			$insertRecordId = $insertRecordId . "," . $newId;
		}
		$insertRecord++;
	}

	$resultRootNode->setAttribute("number", $insertRecord);
	$resultRootNode->setAttribute("record", $insertRecordId);

	mysql_close();

	// print result packet
	print $resultdoc->saveXML();

?>
