/*
 * Demonstration: Restaurant Finder
 * in Flash MX 2004 by PhilFlash - http://philflash.inway.fr
 *
 * Initial Release in Flex by Christophe Coenraets
 * http://coenraets.com/viewarticle.jsp?articleId=9
 *
 */

import TextField.StyleSheet;
import mx.styles.CSSStyleDeclaration;

class ApplicationForm extends mx.screens.Form {

	public var style_sheet:StyleSheet = null;
	public var onServer:Boolean = true;
	
	// Constructor
	public function ApplicationForm() {}
	
	// -----  -----
	public function init():Void {
		super.init();
		addEventListener("reveal", onReveal);
		
		style_sheet = new TextField.StyleSheet();
		style_sheet.load("restaurant.css");
	}

	// -----  -----	
	public function onLoad(obj:Object):Void {
	
		Stage.showMenu = false;
	
		_global.style.setStyle("fontFamily" , "Verdana");
		_global.style.setStyle("fontSize", 11);
		_global.style.setStyle("fontWeight", "normal");	
		
		var styleObj:CSSStyleDeclaration= new mx.styles.CSSStyleDeclaration();
		styleObj.styleName = "labelStyle";
		styleObj.fontFamily = "Verdana";
		styleObj.fontSize = 11;
		styleObj.fontWeight = "bold";
		styleObj.color = 0x000000;
		_global.styles["labelStyle"] = styleObj;

		styleObj = new mx.styles.CSSStyleDeclaration();
		styleObj.styleName = "labelStyleError";
		styleObj.fontFamily = "Verdana";
		styleObj.fontSize = 11;
		styleObj.fontWeight = "bold";
		styleObj.color = 0xFF0000;
		_global.styles["labelStyleError"] = styleObj;
		
		// for debug, in Flash Authoring
		// set onServer = false
		var siteURL = ""
		onServer = true;
		//onServer = false;		
		if (onServer) {
			siteURL = "";
		} else {
			siteURL= "http://localhost/restaurant/";
		}
		
		// change URL
		(rootForm).formSearch.restaurant_conn.URL = siteURL+"getrestau.php";
		(rootForm).formSearch.restaurantByArea_conn.URL = siteURL+"getrestauByArea.php";		
		(rootForm).formInfo.review_conn.URL = siteURL+"getreview.php";
		(rootForm).formReview.setreview_conn.URL = siteURL+"setreview.php";	
	}
	
	public function onReveal(obj:Object):Void {
		// for future release		
	}
	
	// -----   -----	
	static public function setLocationRelativeTo(mc:MovieClip, owner:Object) {
 		var x0:Number = 0;
 		var y0:Number = 0;
 		if (owner != undefined && owner instanceof MovieClip) {
 			x0 = owner._x+(owner._width/2);
 			y0 = owner._y+(owner._height/2);	
 			var x:Number = x0 - mc._width/2;
 			var y:Number = y0 - mc._height/2;
 			if (x < 0) {
 				x = 0;
 			}
 			if (y < 0) {
 				y = 0;
 			}
 			if (x + mc._width > Stage.width) {
 				x = Stage.width - mc._width;
 			}
 			if (y + mc._height > Stage.height) {
 				y = Stage.height - mc.height;
 			}
  			mc.move(x,y);		
 		} else {
 			mc.move((Stage.width-mc._width)/2, (Stage.height-mc._height)/2);	
 		}
 	}

}
    

